<?php
namespace Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class GerarPlanoVooProcedureGerados extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'GERA_PLANO_VOOM') {
		parent::__construct($connection, $procedureName);
	}

	public function executeProcedure($P_CDFILIPROC,$P_CDOPERADOR, $P_TIPPREVISAO, $P_CDFILIAL, $P_CDCIA, $P_NRVOO, $P_CDTRECHO, $P_DTHRPLAVOOPV,$P_NRORG) {
		$this->addParam(new Param('P_CDFILIPROC', Param::PARAM_INPUT, $P_CDFILIPROC));
		$this->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT, $P_CDOPERADOR));
		$this->addParam(new Param('P_TIPPREVISAO', Param::PARAM_INPUT, $P_TIPPREVISAO));
		$this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $P_CDFILIAL));
		$this->addParam(new Param('P_CDCIA', Param::PARAM_INPUT, $P_CDCIA));
		$this->addParam(new Param('P_NRVOO', Param::PARAM_INPUT, $P_NRVOO));
		$this->addParam(new Param('P_CDTRECHO', Param::PARAM_INPUT, $P_CDTRECHO));
		$this->addParam(new Param('P_DTHRPLAVOOPV', Param::PARAM_INPUT, $P_DTHRPLAVOOPV));
		$this->addParam(new Param('P_NRORG', Param::PARAM_INPUT, $P_NRORG));
		$this->addParam(new Param('P_NRLISTAERROS', Param::PARAM_OUTPUT, null, null, 20));
	    $result = $this->execute();
		// clear params
		$this->params = array();
	    return $result;

	}
}